{
  "ash" : {
    "generateResource" : "Y"
  },
  "attributes" : [
    {
      "allowsNull" : "N",
      "ash" : {
        "ashName" : "active?",
        "ashType" : ":boolean_integer",
        "includeInResource" : "Y"
      },
      "columnName" : "active",
      "defaultValue" : "0",
      "externalType" : "int",
      "name" : "active",
      "record" : {
        "allowsRecord" : "Y",
        "isInternal" : "N",
        "isUpdatable" : "Y",
        "recordName" : "isActive",
        "recordType" : "Bool"
      },
      "valueClassName" : "NSNumber",
      "valueType" : "i"
    },
    {
      "allowsNull" : "Y",
      "ash" : {
        "includeInResource" : "Y"
      },
      "columnName" : "assistantID",
      "externalType" : "longlong",
      "isIndexed" : "Y",
      "name" : "assistantID",
      "record" : {
        "allowsRecord" : "N",
        "isInternal" : "N",
        "isUpdatable" : "Y"
      },
      "valueClassName" : "NSNumber",
      "valueType" : "l"
    },
    {
      "allowsNull" : "Y",
      "ash" : {
        "includeInResource" : "Y"
      },
      "columnName" : "contactID",
      "externalType" : "longlong",
      "isIndexed" : "Y",
      "name" : "contactID",
      "record" : {
        "allowsRecord" : "N",
        "isInternal" : "N",
        "isUpdatable" : "Y"
      },
      "valueClassName" : "NSNumber",
      "valueType" : "l"
    },
    {
      "allowsNull" : "Y",
      "ash" : {
        "includeInResource" : "Y"
      },
      "columnName" : "createDate",
      "externalType" : "datetime",
      "name" : "createDate",
      "record" : {
        "allowsRecord" : "Y",
        "isInternal" : "N",
        "isUpdatable" : "N"
      },
      "valueClassName" : "NSDate"
    },
    {
      "allowsNull" : "Y",
      "ash" : {
        "includeInResource" : "Y"
      },
      "columnName" : "details",
      "externalType" : "char",
      "name" : "details",
      "record" : {
        "allowsRecord" : "Y",
        "isInternal" : "N",
        "isUpdatable" : "Y"
      },
      "valueClassName" : "NSString",
      "width" : "0"
    },
    {
      "allowsNull" : "Y",
      "ash" : {
        "ashName" : "color",
        "ashType" : ":color_plist",
        "includeInResource" : "Y"
      },
      "columnName" : "encodeColor",
      "externalType" : "char",
      "name" : "encodeColor",
      "record" : {
        "allowsRecord" : "Y",
        "isInternal" : "N",
        "isUpdatable" : "Y",
        "recordName" : "color",
        "recordType" : "RGBAColor?"
      },
      "valueClassName" : "NSString",
      "width" : "0"
    },
    {
      "allowsNull" : "Y",
      "ash" : {
        "includeInResource" : "Y"
      },
      "columnName" : "modifyDate",
      "externalType" : "datetime",
      "name" : "modifyDate",
      "record" : {
        "allowsRecord" : "Y",
        "isInternal" : "N",
        "isUpdatable" : "N"
      },
      "valueClassName" : "NSDate"
    },
    {
      "allowsNull" : "N",
      "ash" : {
        "includeInResource" : "Y"
      },
      "columnName" : "ordering",
      "defaultValue" : "0",
      "externalType" : "int",
      "name" : "order",
      "record" : {
        "allowsRecord" : "N",
        "isInternal" : "N",
        "isUpdatable" : "Y"
      },
      "valueClassName" : "NSNumber",
      "valueType" : "i"
    },
    {
      "allowsNull" : "Y",
      "ash" : {
        "includeInResource" : "N"
      },
      "columnName" : "password",
      "externalType" : "char",
      "name" : "password",
      "purpose" : "Deprecated. No longer in use.",
      "record" : {
        "allowsRecord" : "N",
        "isInternal" : "N",
        "isUpdatable" : "Y"
      },
      "valueClassName" : "NSString",
      "width" : "0"
    },
    {
      "allowsNull" : "N",
      "ash" : {
        "ashName" : "restricted_to_assigned_objects?",
        "ashType" : ":boolean_integer",
        "includeInResource" : "Y"
      },
      "columnName" : "perm1",
      "defaultValue" : "0",
      "externalType" : "int",
      "name" : "perm1",
      "record" : {
        "allowsRecord" : "Y",
        "isInternal" : "N",
        "isUpdatable" : "Y",
        "recordName" : "isRestrictedToAssignedObjects",
        "recordType" : "Bool"
      },
      "valueClassName" : "NSNumber",
      "valueType" : "i"
    },
    {
      "allowsNull" : "N",
      "ash" : {
        "ashName" : "restricted_to_modify_database_preferences?",
        "ashType" : ":boolean_integer",
        "includeInResource" : "Y"
      },
      "columnName" : "perm10",
      "defaultValue" : "0",
      "externalType" : "int",
      "name" : "perm10",
      "record" : {
        "allowsRecord" : "Y",
        "isInternal" : "N",
        "isUpdatable" : "Y",
        "recordName" : "isRestrictedToModifyDatabasePreferences",
        "recordType" : "Bool"
      },
      "valueClassName" : "NSNumber",
      "valueType" : "i"
    },
    {
      "allowsNull" : "N",
      "ash" : {
        "ashName" : "restricted_for_daylite_touch_sync?",
        "ashType" : ":boolean_integer",
        "includeInResource" : "Y"
      },
      "columnName" : "perm11",
      "defaultValue" : "0",
      "externalType" : "int",
      "name" : "perm11",
      "record" : {
        "allowsRecord" : "N",
        "isInternal" : "N",
        "isUpdatable" : "Y",
        "recordName" : "isRestrictedForDayliteTouchSync"
      },
      "valueClassName" : "NSNumber",
      "valueType" : "i"
    },
    {
      "allowsNull" : "N",
      "ash" : {
        "ashType" : ":boolean_integer",
        "includeInResource" : "Y"
      },
      "columnName" : "perm12",
      "defaultValue" : "0",
      "externalType" : "int",
      "name" : "perm12",
      "record" : {
        "allowsRecord" : "N",
        "isInternal" : "N",
        "isUpdatable" : "Y"
      },
      "valueClassName" : "NSNumber",
      "valueType" : "i"
    },
    {
      "allowsNull" : "N",
      "ash" : {
        "ashType" : ":boolean_integer",
        "includeInResource" : "Y"
      },
      "columnName" : "perm13",
      "defaultValue" : "0",
      "externalType" : "int",
      "name" : "perm13",
      "record" : {
        "allowsRecord" : "N",
        "isInternal" : "N",
        "isUpdatable" : "Y"
      },
      "valueClassName" : "NSNumber",
      "valueType" : "i"
    },
    {
      "allowsNull" : "N",
      "ash" : {
        "ashType" : ":boolean_integer",
        "includeInResource" : "Y"
      },
      "columnName" : "perm14",
      "defaultValue" : "0",
      "externalType" : "int",
      "name" : "perm14",
      "record" : {
        "allowsRecord" : "N",
        "isInternal" : "N",
        "isUpdatable" : "Y"
      },
      "valueClassName" : "NSNumber",
      "valueType" : "i"
    },
    {
      "allowsNull" : "N",
      "ash" : {
        "ashType" : ":boolean_integer",
        "includeInResource" : "Y"
      },
      "columnName" : "perm15",
      "defaultValue" : "0",
      "externalType" : "int",
      "name" : "perm15",
      "record" : {
        "allowsRecord" : "N",
        "isInternal" : "N",
        "isUpdatable" : "Y"
      },
      "valueClassName" : "NSNumber",
      "valueType" : "i"
    },
    {
      "allowsNull" : "N",
      "ash" : {
        "ashType" : ":boolean_integer",
        "includeInResource" : "Y"
      },
      "columnName" : "perm16",
      "defaultValue" : "0",
      "externalType" : "int",
      "name" : "perm16",
      "record" : {
        "allowsRecord" : "N",
        "isInternal" : "N",
        "isUpdatable" : "Y"
      },
      "valueClassName" : "NSNumber",
      "valueType" : "i"
    },
    {
      "allowsNull" : "N",
      "ash" : {
        "ashType" : ":boolean_integer",
        "includeInResource" : "Y"
      },
      "columnName" : "perm17",
      "defaultValue" : "0",
      "externalType" : "int",
      "name" : "perm17",
      "record" : {
        "allowsRecord" : "N",
        "isInternal" : "N",
        "isUpdatable" : "Y"
      },
      "valueClassName" : "NSNumber",
      "valueType" : "i"
    },
    {
      "allowsNull" : "N",
      "ash" : {
        "ashType" : ":boolean_integer",
        "includeInResource" : "Y"
      },
      "columnName" : "perm18",
      "defaultValue" : "0",
      "externalType" : "int",
      "name" : "perm18",
      "record" : {
        "allowsRecord" : "N",
        "isInternal" : "N",
        "isUpdatable" : "Y"
      },
      "valueClassName" : "NSNumber",
      "valueType" : "i"
    },
    {
      "allowsNull" : "N",
      "ash" : {
        "ashType" : ":boolean_integer",
        "includeInResource" : "Y"
      },
      "columnName" : "perm19",
      "defaultValue" : "0",
      "externalType" : "int",
      "name" : "perm19",
      "record" : {
        "allowsRecord" : "N",
        "isInternal" : "N",
        "isUpdatable" : "Y"
      },
      "valueClassName" : "NSNumber",
      "valueType" : "i"
    },
    {
      "allowsNull" : "N",
      "ash" : {
        "ashName" : "restricted_for_list_copy_paste?",
        "ashType" : ":boolean_integer",
        "includeInResource" : "Y"
      },
      "columnName" : "perm2",
      "defaultValue" : "0",
      "externalType" : "int",
      "name" : "perm2",
      "record" : {
        "allowsRecord" : "Y",
        "isInternal" : "N",
        "isUpdatable" : "Y",
        "recordName" : "isRestrictedForListCopyPaste",
        "recordType" : "Bool"
      },
      "valueClassName" : "NSNumber",
      "valueType" : "i"
    },
    {
      "allowsNull" : "N",
      "ash" : {
        "ashType" : ":boolean_integer",
        "includeInResource" : "Y"
      },
      "columnName" : "perm20",
      "defaultValue" : "0",
      "externalType" : "int",
      "name" : "perm20",
      "record" : {
        "allowsRecord" : "N",
        "isInternal" : "N",
        "isUpdatable" : "Y"
      },
      "valueClassName" : "NSNumber",
      "valueType" : "i"
    },
    {
      "allowsNull" : "N",
      "ash" : {
        "ashType" : ":boolean_integer",
        "includeInResource" : "Y"
      },
      "columnName" : "perm21",
      "defaultValue" : "0",
      "externalType" : "int",
      "name" : "perm21",
      "record" : {
        "allowsRecord" : "N",
        "isInternal" : "N",
        "isUpdatable" : "Y"
      },
      "valueClassName" : "NSNumber",
      "valueType" : "i"
    },
    {
      "allowsNull" : "N",
      "ash" : {
        "ashType" : ":boolean_integer",
        "includeInResource" : "Y"
      },
      "columnName" : "perm22",
      "defaultValue" : "0",
      "externalType" : "int",
      "name" : "perm22",
      "record" : {
        "allowsRecord" : "N",
        "isInternal" : "N",
        "isUpdatable" : "Y"
      },
      "valueClassName" : "NSNumber",
      "valueType" : "i"
    },
    {
      "allowsNull" : "N",
      "ash" : {
        "ashType" : ":boolean_integer",
        "includeInResource" : "Y"
      },
      "columnName" : "perm23",
      "defaultValue" : "0",
      "externalType" : "int",
      "name" : "perm23",
      "record" : {
        "allowsRecord" : "N",
        "isInternal" : "N",
        "isUpdatable" : "Y"
      },
      "valueClassName" : "NSNumber",
      "valueType" : "i"
    },
    {
      "allowsNull" : "N",
      "ash" : {
        "ashType" : ":boolean_integer",
        "includeInResource" : "Y"
      },
      "columnName" : "perm24",
      "defaultValue" : "0",
      "externalType" : "int",
      "name" : "perm24",
      "record" : {
        "allowsRecord" : "N",
        "isInternal" : "N",
        "isUpdatable" : "Y"
      },
      "valueClassName" : "NSNumber",
      "valueType" : "i"
    },
    {
      "allowsNull" : "N",
      "ash" : {
        "ashName" : "restricted_for_data_synchronization?",
        "ashType" : ":boolean_integer",
        "includeInResource" : "Y"
      },
      "columnName" : "perm3",
      "defaultValue" : "0",
      "externalType" : "int",
      "name" : "perm3",
      "record" : {
        "allowsRecord" : "Y",
        "isInternal" : "N",
        "isUpdatable" : "Y",
        "recordName" : "isRestrictedForDataSynchronization",
        "recordType" : "Bool"
      },
      "valueClassName" : "NSNumber",
      "valueType" : "i"
    },
    {
      "allowsNull" : "N",
      "ash" : {
        "ashType" : ":boolean_integer",
        "includeInResource" : "Y"
      },
      "columnName" : "perm4",
      "defaultValue" : "0",
      "externalType" : "int",
      "name" : "perm4",
      "record" : {
        "allowsRecord" : "N",
        "isInternal" : "N",
        "isUpdatable" : "Y"
      },
      "valueClassName" : "NSNumber",
      "valueType" : "i"
    },
    {
      "allowsNull" : "N",
      "ash" : {
        "ashName" : "restricted_for_reports?",
        "ashType" : ":boolean_integer",
        "includeInResource" : "Y"
      },
      "columnName" : "perm5",
      "defaultValue" : "0",
      "externalType" : "int",
      "name" : "perm5",
      "record" : {
        "allowsRecord" : "Y",
        "isInternal" : "N",
        "isUpdatable" : "Y",
        "recordName" : "isRestrictedForReports",
        "recordType" : "Bool"
      },
      "valueClassName" : "NSNumber",
      "valueType" : "i"
    },
    {
      "allowsNull" : "N",
      "ash" : {
        "ashName" : "restricted_to_run_scripts?",
        "ashType" : ":boolean_integer",
        "includeInResource" : "Y"
      },
      "columnName" : "perm6",
      "defaultValue" : "0",
      "externalType" : "int",
      "name" : "perm6",
      "record" : {
        "allowsRecord" : "Y",
        "isInternal" : "N",
        "isUpdatable" : "Y",
        "recordName" : "isRestrictedToRunScripts",
        "recordType" : "Bool"
      },
      "valueClassName" : "NSNumber",
      "valueType" : "i"
    },
    {
      "allowsNull" : "N",
      "ash" : {
        "ashName" : "restricted_to_delete_objects?",
        "ashType" : ":boolean_integer",
        "includeInResource" : "Y"
      },
      "columnName" : "perm7",
      "defaultValue" : "0",
      "externalType" : "int",
      "name" : "perm7",
      "record" : {
        "allowsRecord" : "Y",
        "isInternal" : "N",
        "isUpdatable" : "Y",
        "recordName" : "isRestrictedToDeleteObjects",
        "recordType" : "Bool"
      },
      "valueClassName" : "NSNumber",
      "valueType" : "i"
    },
    {
      "allowsNull" : "N",
      "ash" : {
        "ashName" : "restricted_to_import_and_export?",
        "ashType" : ":boolean_integer",
        "includeInResource" : "Y"
      },
      "columnName" : "perm8",
      "defaultValue" : "0",
      "externalType" : "int",
      "name" : "perm8",
      "record" : {
        "allowsRecord" : "Y",
        "isInternal" : "N",
        "isUpdatable" : "Y",
        "recordName" : "isRestrictedToImportAndExport",
        "recordType" : "Bool"
      },
      "valueClassName" : "NSNumber",
      "valueType" : "i"
    },
    {
      "allowsNull" : "N",
      "ash" : {
        "ashType" : ":boolean_integer",
        "includeInResource" : "Y"
      },
      "columnName" : "perm9",
      "defaultValue" : "0",
      "externalType" : "int",
      "name" : "perm9",
      "record" : {
        "allowsRecord" : "N",
        "isInternal" : "N",
        "isUpdatable" : "Y"
      },
      "valueClassName" : "NSNumber",
      "valueType" : "i"
    },
    {
      "allowsNull" : "Y",
      "ash" : {
        "includeInResource" : "Y"
      },
      "columnName" : "privateTeamID",
      "externalType" : "longlong",
      "isIndexed" : "Y",
      "name" : "privateTeamID",
      "record" : {
        "allowsRecord" : "N",
        "isInternal" : "N",
        "isUpdatable" : "Y"
      },
      "valueClassName" : "NSNumber",
      "valueType" : "l"
    },
    {
      "allowsNull" : "N",
      "ash" : {
        "includeInResource" : "Y"
      },
      "columnName" : "sourceListVersionNumber",
      "defaultValue" : "0",
      "externalType" : "int",
      "name" : "sourceListVersionNumber",
      "record" : {
        "allowsRecord" : "N",
        "isInternal" : "N",
        "isUpdatable" : "Y"
      },
      "valueClassName" : "NSNumber",
      "valueType" : "i"
    },
    {
      "allowsNull" : "Y",
      "ash" : {
        "includeInResource" : "Y"
      },
      "columnName" : "syncHostUUID",
      "externalType" : "char",
      "name" : "syncHostUUID",
      "record" : {
        "allowsRecord" : "N",
        "isInternal" : "N",
        "isUpdatable" : "Y"
      },
      "valueClassName" : "NSString",
      "width" : "0"
    },
    {
      "allowsNull" : "Y",
      "ash" : {
        "includeInResource" : "Y"
      },
      "columnName" : "teamLeaderID",
      "externalType" : "longlong",
      "isIndexed" : "Y",
      "name" : "teamLeaderID",
      "record" : {
        "allowsRecord" : "N",
        "isInternal" : "N",
        "isUpdatable" : "Y"
      },
      "valueClassName" : "NSNumber",
      "valueType" : "i"
    },
    {
      "allowsNull" : "N",
      "ash" : {
        "includeInResource" : "Y"
      },
      "columnName" : "_rowid",
      "externalType" : "longlong",
      "isIndexed" : "Y",
      "name" : "userID",
      "record" : {
        "allowsRecord" : "N",
        "isInternal" : "N",
        "isUpdatable" : "Y"
      },
      "valueClassName" : "NSNumber",
      "valueType" : "l"
    },
    {
      "allowsNull" : "Y",
      "ash" : {
        "includeInResource" : "Y"
      },
      "columnName" : "username",
      "externalType" : "char",
      "name" : "username",
      "record" : {
        "allowsRecord" : "Y",
        "isInternal" : "N",
        "isUpdatable" : "N"
      },
      "valueClassName" : "NSString",
      "width" : "0"
    },
    {
      "allowsNull" : "Y",
      "ash" : {
        "ashName" : "admin?",
        "ashType" : ":boolean_integer",
        "includeInResource" : "Y"
      },
      "columnName" : "isAdmin",
      "defaultValue" : "0",
      "externalType" : "int",
      "name" : "isAdmin",
      "record" : {
        "allowsRecord" : "Y",
        "isInternal" : "N",
        "isUpdatable" : "N",
        "recordType" : "Bool"
      },
      "valueClassName" : "NSNumber",
      "valueType" : "i"
    },
    {
      "allowsNull" : "Y",
      "ash" : {
        "ashName" : "super?",
        "ashType" : ":boolean_integer",
        "includeInResource" : "Y"
      },
      "columnName" : "isSuper",
      "defaultValue" : "0",
      "externalType" : "int",
      "name" : "isSuper",
      "record" : {
        "allowsRecord" : "Y",
        "isInternal" : "N",
        "isUpdatable" : "N",
        "recordType" : "Bool"
      },
      "valueClassName" : "NSNumber",
      "valueType" : "i"
    },
    {
      "ash" : {
        "includeInResource" : "N"
      },
      "columnName" : "passwordScheme",
      "defaultValue" : "0",
      "externalType" : "int",
      "name" : "passwordScheme",
      "purpose" : "Deprecated. No longer in use.",
      "record" : {
        "allowsRecord" : "N",
        "isInternal" : "N",
        "isUpdatable" : "Y"
      },
      "valueClassName" : "NSNumber",
      "valueType" : "i"
    },
    {
      "addedInModelVersion" : 0,
      "allowsNull" : "Y",
      "ash" : {
        "includeInResource" : "Y"
      },
      "columnName" : "deletionUserID",
      "externalType" : "int",
      "isIndexed" : "Y",
      "name" : "deletionUserID",
      "record" : {
        "allowsRecord" : "Y",
        "isInternal" : "N",
        "isUpdatable" : "Y"
      },
      "valueClassName" : "NSNumber",
      "valueType" : "i"
    },
    {
      "addedInModelVersion" : 0,
      "allowsNull" : "Y",
      "ash" : {
        "includeInResource" : "Y"
      },
      "columnName" : "deletionDate",
      "externalType" : "datetime",
      "isIndexed" : "Y",
      "name" : "deletionDate",
      "record" : {
        "allowsRecord" : "Y",
        "isInternal" : "N",
        "isUpdatable" : "Y"
      },
      "valueClassName" : "NSDate"
    },
    {
      "addedInModelVersion" : 0,
      "allowsNull" : "Y",
      "ash" : {
        "includeInResource" : "Y"
      },
      "columnName" : "deletionIdentifier",
      "externalType" : "char",
      "isIndexed" : "Y",
      "name" : "deletionIdentifier",
      "record" : {
        "allowsRecord" : "Y",
        "isInternal" : "N",
        "isUpdatable" : "Y"
      },
      "valueClassName" : "NSString",
      "width" : 255
    },
    {
      "addedInModelVersion" : 1150,
      "allowsNull" : "Y",
      "ash" : {
        "includeInResource" : "Y"
      },
      "columnName" : "timeZoneName",
      "externalType" : "text",
      "name" : "timeZoneName",
      "purpose" : "The time zone for this user, as an IANA time zone name.",
      "record" : {
        "allowsRecord" : "Y",
        "isInternal" : "N",
        "isUpdatable" : "Y"
      },
      "valueClassName" : "NSString",
      "width" : 256
    },
    {
      "addedInModelVersion" : 1200,
      "allowsNull" : "Y",
      "ash" : {
        "includeInResource" : "Y"
      },
      "columnName" : "defaultAvailabilityScheduleID",
      "externalType" : "longlong",
      "name" : "defaultAvailabilityScheduleID",
      "record" : {
        "allowsRecord" : "Y",
        "isInternal" : "N",
        "isUpdatable" : "Y"
      },
      "valueClassName" : "NSNumber",
      "valueType" : "i"
    }
  ],
  "className" : "GWUser",
  "classProperties" : [
    "active",
    "assistantID",
    "contactID",
    "createDate",
    "details",
    "encodeColor",
    "modifyDate",
    "order",
    "password",
    "perm1",
    "perm10",
    "perm11",
    "perm12",
    "perm13",
    "perm14",
    "perm15",
    "perm16",
    "perm17",
    "perm18",
    "perm19",
    "perm2",
    "perm20",
    "perm21",
    "perm22",
    "perm23",
    "perm24",
    "perm3",
    "perm4",
    "perm5",
    "perm6",
    "perm7",
    "perm8",
    "perm9",
    "privateTeamID",
    "sourceListVersionNumber",
    "syncHostUUID",
    "teamLeaderID",
    "userID",
    "username",
    "isAdmin",
    "isSuper",
    "passwordScheme",
    "deletionUserID",
    "deletionDate",
    "deletionIdentifier",
    "timeZoneName",
    "defaultAvailabilityScheduleID",
    "assistant",
    "assists",
    "contact",
    "meetingHistories",
    "privateSourceLists",
    "privateTeam",
    "reportSchedules",
    "teamLeader",
    "teamMembers",
    "teamUsers",
    "teams",
    "meetingInvites",
    "subscribedCalendarAccounts",
    "videoConferenceConfigs",
    "defaultAvailabilitySchedule",
    "ownedAvailabilitySchedules",
    "availabilityScheduleOverrides",
    "ownedBookingDefinitions",
    "bookingDefinitionAssignees"
  ],
  "domain" : "Users",
  "externalName" : "DLUser",
  "fetchSpecificationDictionary" : {

  },
  "isDatabasePreference" : false,
  "isTrashable" : true,
  "name" : "User",
  "primaryKeyAttributes" : [
    "userID"
  ],
  "record" : {
    "allowsRecord" : "Y",
    "isDirectlyUpdatable" : "Y",
    "phonyAttributes" : [
      {
        "defaultValue" : "[]",
        "isInternal" : "N",
        "isUpdatable" : "N",
        "recordName" : "teamIDs",
        "recordType" : "Set<ObjectID<Team>>",
        "sourceKeyPath" : "__teamIDs"
      }
    ]
  },
  "relationships" : [
    {
      "ash" : {
        "includeInResource" : "Y"
      },
      "destination" : "User",
      "isToMany" : "N",
      "joins" : [
        {
          "destinationAttribute" : "userID",
          "sourceAttribute" : "assistantID"
        }
      ],
      "joinSemantic" : "EOInnerJoin",
      "name" : "assistant",
      "record" : {
        "allowsRecord" : "Y",
        "isEmbedded" : "N",
        "isInternal" : "N",
        "propagatesUpdates" : "N"
      }
    },
    {
      "ash" : {
        "includeInResource" : "Y"
      },
      "destination" : "User",
      "internalInfo" : {
        "_nameInObjectStore" : "assists"
      },
      "isToMany" : "Y",
      "joins" : [
        {
          "destinationAttribute" : "assistantID",
          "sourceAttribute" : "userID"
        }
      ],
      "joinSemantic" : "EOInnerJoin",
      "name" : "assists",
      "record" : {
        "allowsRecord" : "Y",
        "isEmbedded" : "N",
        "isInternal" : "N",
        "propagatesUpdates" : "N"
      }
    },
    {
      "ash" : {
        "includeInResource" : "Y"
      },
      "destination" : "Contact",
      "isToMany" : "N",
      "joins" : [
        {
          "destinationAttribute" : "contactID",
          "sourceAttribute" : "contactID"
        }
      ],
      "joinSemantic" : "EOInnerJoin",
      "name" : "contact",
      "record" : {
        "allowsRecord" : "Y",
        "isEmbedded" : "N",
        "isInternal" : "N",
        "propagatesUpdates" : "N"
      }
    },
    {
      "ash" : {
        "includeInResource" : "Y"
      },
      "destination" : "MeetingHistory",
      "isToMany" : "Y",
      "joins" : [
        {
          "destinationAttribute" : "userID",
          "sourceAttribute" : "userID"
        }
      ],
      "joinSemantic" : "EOInnerJoin",
      "name" : "meetingHistories",
      "record" : {
        "allowsRecord" : "Y",
        "isEmbedded" : "N",
        "isInternal" : "N",
        "propagatesUpdates" : "N"
      }
    },
    {
      "ash" : {
        "includeInResource" : "Y"
      },
      "deleteRule" : "EODeleteRuleCascade",
      "destination" : "SourceList",
      "isToMany" : "Y",
      "joins" : [
        {
          "destinationAttribute" : "assignedToID",
          "sourceAttribute" : "userID"
        }
      ],
      "joinSemantic" : "EOInnerJoin",
      "name" : "privateSourceLists",
      "record" : {
        "allowsRecord" : "Y",
        "isEmbedded" : "N",
        "isInternal" : "N",
        "propagatesUpdates" : "N"
      }
    },
    {
      "ash" : {
        "includeInResource" : "Y"
      },
      "destination" : "Team",
      "isToMany" : "N",
      "joins" : [
        {
          "destinationAttribute" : "teamID",
          "sourceAttribute" : "privateTeamID"
        }
      ],
      "joinSemantic" : "EOInnerJoin",
      "name" : "privateTeam",
      "record" : {
        "allowsRecord" : "Y",
        "isEmbedded" : "N",
        "isInternal" : "N",
        "propagatesUpdates" : "N"
      }
    },
    {
      "ash" : {
        "includeInResource" : "Y"
      },
      "deleteRule" : "EODeleteRuleCascade",
      "destination" : "ReportSchedule",
      "isToMany" : "Y",
      "joins" : [
        {
          "destinationAttribute" : "userID",
          "sourceAttribute" : "userID"
        }
      ],
      "joinSemantic" : "EOInnerJoin",
      "name" : "reportSchedules",
      "ownsDestination" : "Y",
      "record" : {
        "allowsRecord" : "Y",
        "isEmbedded" : "N",
        "isInternal" : "N",
        "propagatesUpdates" : "Y"
      }
    },
    {
      "ash" : {
        "includeInResource" : "Y"
      },
      "destination" : "User",
      "isToMany" : "N",
      "joins" : [
        {
          "destinationAttribute" : "userID",
          "sourceAttribute" : "teamLeaderID"
        }
      ],
      "joinSemantic" : "EOInnerJoin",
      "name" : "teamLeader",
      "record" : {
        "allowsRecord" : "Y",
        "isEmbedded" : "N",
        "isInternal" : "N",
        "propagatesUpdates" : "N"
      }
    },
    {
      "ash" : {
        "includeInResource" : "Y"
      },
      "destination" : "User",
      "isToMany" : "Y",
      "joins" : [
        {
          "destinationAttribute" : "teamLeaderID",
          "sourceAttribute" : "userID"
        }
      ],
      "joinSemantic" : "EOInnerJoin",
      "name" : "teamMembers",
      "record" : {
        "allowsRecord" : "Y",
        "isEmbedded" : "N",
        "isInternal" : "N",
        "propagatesUpdates" : "N"
      }
    },
    {
      "ash" : {
        "includeInResource" : "Y"
      },
      "deleteRule" : "EODeleteRuleCascade",
      "destination" : "TeamUserJoin",
      "isToMany" : "Y",
      "joins" : [
        {
          "destinationAttribute" : "userID",
          "sourceAttribute" : "userID"
        }
      ],
      "joinSemantic" : "EOInnerJoin",
      "name" : "teamUsers",
      "ownsDestination" : "Y",
      "propagatesPrimaryKey" : "Y",
      "record" : {
        "allowsRecord" : "N",
        "isEmbedded" : "N",
        "isInternal" : "N",
        "propagatesUpdates" : "N"
      }
    },
    {
      "ash" : {
        "includeInResource" : "Y"
      },
      "definition" : "teamUsers.team",
      "joins" : [

      ],
      "joinSemantic" : "EOInnerJoin",
      "name" : "teams",
      "record" : {
        "allowsRecord" : "Y",
        "isEmbedded" : "N",
        "isInternal" : "N",
        "propagatesUpdates" : "N"
      }
    },
    {
      "ash" : {
        "includeInResource" : "Y"
      },
      "deleteRule" : "EODeleteRuleCascade",
      "destination" : "MeetingInvite",
      "isToMany" : "Y",
      "joins" : [
        {
          "destinationAttribute" : "userID",
          "sourceAttribute" : "userID"
        }
      ],
      "joinSemantic" : "EOInnerJoin",
      "name" : "meetingInvites",
      "ownsDestination" : "Y",
      "record" : {
        "allowsRecord" : "Y",
        "isEmbedded" : "N",
        "isInternal" : "N",
        "propagatesUpdates" : "Y"
      }
    },
    {
      "ash" : {
        "includeInResource" : "N"
      },
      "deleteRule" : "EODeleteRuleCascade",
      "destination" : "SubscribedCalendarAccount",
      "isToMany" : "Y",
      "joins" : [
        {
          "destinationAttribute" : "userID",
          "sourceAttribute" : "userID"
        }
      ],
      "joinSemantic" : "EOInnerJoin",
      "name" : "subscribedCalendarAccounts",
      "record" : {
        "allowsRecord" : "Y",
        "isEmbedded" : "N",
        "isInternal" : "N",
        "propagatesUpdates" : "N"
      }
    },
    {
      "addedInModelVersion" : 1100,
      "ash" : {
        "includeInResource" : "Y"
      },
      "destination" : "VideoConferenceConfig",
      "isToMany" : "Y",
      "joins" : [
        {
          "destinationAttribute" : "userID",
          "sourceAttribute" : "userID"
        }
      ],
      "joinSemantic" : "EOInnerJoin",
      "name" : "videoConferenceConfigs",
      "purpose" : "The configured video conference integrations for this user.",
      "record" : {
        "allowsRecord" : "Y",
        "isEmbedded" : "N",
        "isInternal" : "N",
        "propagatesUpdates" : "N"
      }
    },
    {
      "addedInModelVersion" : 1200,
      "ash" : {
        "includeInResource" : "Y"
      },
      "destination" : "AvailabilitySchedule",
      "isToMany" : "N",
      "joins" : [
        {
          "destinationAttribute" : "availabilityScheduleID",
          "sourceAttribute" : "defaultAvailabilityScheduleID"
        }
      ],
      "joinSemantic" : "EOInnerJoin",
      "name" : "defaultAvailabilitySchedule",
      "purpose" : "The default availability schedule that’s used when this user is assigned to a booking definition.",
      "record" : {
        "allowsRecord" : "Y",
        "isEmbedded" : "N",
        "isInternal" : "N",
        "propagatesUpdates" : "N"
      }
    },
    {
      "addedInModelVersion" : 1200,
      "ash" : {
        "includeInResource" : "Y"
      },
      "destination" : "AvailabilitySchedule",
      "isToMany" : "Y",
      "joins" : [
        {
          "destinationAttribute" : "ownerID",
          "sourceAttribute" : "userID"
        }
      ],
      "joinSemantic" : "EOInnerJoin",
      "name" : "ownedAvailabilitySchedules",
      "purpose" : "The availability schedules that are owned by the user.",
      "record" : {
        "allowsRecord" : "Y",
        "isEmbedded" : "N",
        "isInternal" : "N",
        "propagatesUpdates" : "N"
      }
    },
    {
      "addedInModelVersion" : 1200,
      "ash" : {
        "includeInResource" : "Y"
      },
      "destination" : "AvailabilityOverride",
      "isToMany" : "Y",
      "joins" : [
        {
          "destinationAttribute" : "userID",
          "sourceAttribute" : "userID"
        }
      ],
      "joinSemantic" : "EOInnerJoin",
      "name" : "availabilityScheduleOverrides",
      "purpose" : "All availability schedule overrides that this user has set.",
      "record" : {
        "allowsRecord" : "Y",
        "isEmbedded" : "N",
        "isInternal" : "N",
        "propagatesUpdates" : "N"
      }
    },
    {
      "addedInModelVersion" : 1200,
      "ash" : {
        "includeInResource" : "Y"
      },
      "destination" : "BookingDefinition",
      "isToMany" : "Y",
      "joins" : [
        {
          "destinationAttribute" : "ownerID",
          "sourceAttribute" : "userID"
        }
      ],
      "joinSemantic" : "EOInnerJoin",
      "name" : "ownedBookingDefinitions",
      "purpose" : "The booking definitions that are owned by the user.",
      "record" : {
        "allowsRecord" : "Y",
        "isEmbedded" : "N",
        "isInternal" : "N",
        "propagatesUpdates" : "N"
      }
    },
    {
      "addedInModelVersion" : 1200,
      "ash" : {
        "includeInResource" : "Y"
      },
      "destination" : "BookingDefinitionAssignee",
      "isToMany" : "Y",
      "joins" : [
        {
          "destinationAttribute" : "userID",
          "sourceAttribute" : "userID"
        }
      ],
      "joinSemantic" : "EOInnerJoin",
      "name" : "bookingDefinitionAssignees",
      "purpose" : "The assignees connecting this user to the booking definitions they have been assigned to.",
      "record" : {
        "allowsRecord" : "Y",
        "isEmbedded" : "N",
        "isInternal" : "N",
        "propagatesUpdates" : "N"
      }
    }
  ],
  "supportsPermissions" : false,
  "uniqueIdentifier" : "23"
}